Fixing tar_file and proxy-stc

Change-Id: I51ee55151975ba22d168ccad58efe92d55acd9e1
diff --git a/tools/test/bin/proxy-stc b/tools/test/bin/proxy-stc
index af264d0..ac840e4 100755
--- a/tools/test/bin/proxy-stc
+++ b/tools/test/bin/proxy-stc
@@ -32,9 +32,11 @@
     topo default
     export stcDumpLogs=true
     export stcColor=$stcColor
-    stc fast
+    stc $1
 "
+status=$?
 
 mkdir -p /tmp/stc
 scp -r ${ONOS_USER}@${OCT}:/tmp/stc/* /tmp/stc/
 
+exit $status
\ No newline at end of file